Subject: Re: bug#34939: Some minibuffer behaviour is annoying

From: Richard Stallman <[email-masked]>
Date: Fri, 22 Mar 2019 22:32:07 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > (1) when I press backspace and the prompt is empty, minibuffer tells me
  > > "Text is read-only". You. Don't. Say.

  > Agreed.

This error message may be surprising, but it is not actually wrong.
The minibuffer prompt is text in the minibiffer.  You can move point
through it.  Kill commands will not delete it, but they will put it in
the kill ring.

We could add special-case code to handle that specific case differently,
perhaps with a different error message that won't seem strange.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)